language: php

php:
  - 5.3
  - 5.4

before_script:
  - sh -c "psql -c 'DROP DATABASE IF EXISTS test;' -U postgres"
  - sh -c "psql -c 'create database test;' -U postgres"
  - sh -c "mysql -e 'create database IF NOT EXISTS test;'"
  - git submodule update --init
  - cd sys/db
  - git checkout master
  - git pull origin master
  - cd ../../

script: php ./tests/index.php